Subject: Re: [PATCH v4 1/2] revision.c: implement --reverse=before for walks

From: Johannes Sixt <[email-masked]>
Date: Mon, 27 Apr 2026 09:33:59 +0200

Am 27.04.26 um 08:45 schrieb Junio C Hamano:
> I think "after" and "before" comes from "Do other things (including
> count limiting) and then apply reverse after all that" and would be
> very much understandable to those who know how the machinery works,
> but should mere mortals need to know the machinery only to use "git
> log"?

I fully share your sentiments regarding "after" and "before" being too
much tied to the machinery, but...

> I wonder --reverse=oldest and --reverse=newest is easier to teach
> and explain?  I dunno.
What does it mean to "revert the oldest"? Or "the newest"? If at all,
then this "newest" and "oldest" must be a restriction that applies to
--max-count in some way. Perhaps we need a --max-count-oldest option,
then --reverse does not have to be touched at all, because it is still
applied only after the set of commits to show has been determined.

-- Hannes